diff --git a/debian/campcaster-import.1 b/debian/campcaster-import.1
new file mode 100644
index 0000000..4953258
--- /dev/null
+++ b/debian/campcaster-import.1
@@ -0,0 +1,72 @@
+.\"                                      Hey, EMACS: -*- nroff -*-
+.\" URL Macro
+.de URL
+\\$2 \(laURL: \\$1 \(ra\\$3
+..
+.if \n[.g] .mso www.tmac
+.\"
+.\" First parameter, NAME, should be all caps
+.\" Second parameter, SECTION, should be 1-8, maybe w/ subsection
+.\" other parameters are allowed: see man(7), man(1)
+.TH CAMPCASTER\-IMPORT 1 "February  4, 2010"
+.\" Please adjust this date whenever revising the manpage.
+.\"
+.\" Some roff macros, for reference:
+.\" .nh        disable hyphenation
+.\" .hy        enable hyphenation
+.\" .ad l      left justify
+.\" .ad b      justify to both left and right margins
+.\" .nf        disable filling
+.\" .fi        enable filling
+.\" .br        insert line break
+.\" .sp <n>    insert n+1 empty lines
+.\" for manpage-specific macros, see man(7)
+.SH NAME
+campcaster-import \- import audio files into campcaster
+.SH SYNOPSIS
+.B campcaster-scheduler
+.RI "[-h] -l|-c" " FILES_OR_DIRS"
+.SH DESCRIPTION
+This tool allows to batch upload audio files into the campcaster-radio system.
+There are two ways to import audio files into Campcaster: linking or copying.
+You need to specify how to import the files by using either 
+.B \-l
+(link) or 
+.B -c
+(copy) option. 
+.B -h 
+will print further help information.
+.PP
+Linking has the advantage that it will not duplicate any files,
+but you must take care not to move, rename, or delete any of the
+imported files from their current locations on disk.
+.PP
+Copying has the advantage that you can do whatever you like with
+the source files after you import them, but has the disadvantage
+that it requires doubling the hard drive space needed to store
+your files.
+.PP
+Campcaster is the first free and open radio management software, providing
+live studio broadcast capabilities as well as the remote automation in one
+integrated system. The scalability of Campcaster allows implementation in a
+number of use scenarios, ranging from an unmanned broadcast unit accessed from
+remote through the Internet to a local network of Campcaster machines inside a
+radio station handling live broadcasts and delivering program automation by
+accessing a central audio storage system. Campcaster is capable of combining
+local audio files and remote web streams, supporting the widely used MP3 format
+and the open equivalent OGG Vorbis.
+.SH SEE ALSO
+.URL "http://code.campware.org/manuals/campcaster/1.4/" "online manual" ,
+.BR campcaster-studio (1),
+.BR campcaster-scheduler (1),
+.\".BR campcaster-backup (1).
+.\".BR campcaster-restore (1).
+.SH AUTHOR
+Campcaster was written by the Media Develoment Loan Fund (MDLF) at the Center
+for Advanced Media\-Prague (CAMP).
+.br
+For full credits see
+.URL "http://www.campware.org/en/camp/about_campware/619/" "campware.org"  .
+.PP
+This manual page was written by Robin Gareus <robin@gareus.org>,
+for the Debian project (and may be used by others).
diff --git a/debian/campcaster-libs.dirs b/debian/campcaster-libs.dirs
new file mode 100644
index 0000000..6845771
--- /dev/null
+++ b/debian/campcaster-libs.dirs
@@ -0,0 +1 @@
+usr/lib
diff --git a/debian/campcaster-scheduler.1 b/debian/campcaster-scheduler.1
new file mode 100644
index 0000000..6e4cbac
--- /dev/null
+++ b/debian/campcaster-scheduler.1
@@ -0,0 +1,62 @@
+.\"                                      Hey, EMACS: -*- nroff -*-
+.\" URL Macro
+.de URL
+\\$2 \(laURL: \\$1 \(ra\\$3
+..
+.if \n[.g] .mso www.tmac
+.\"
+.\" First parameter, NAME, should be all caps
+.\" Second parameter, SECTION, should be 1-8, maybe w/ subsection
+.\" other parameters are allowed: see man(7), man(1)
+.TH CAMPCASTER\-SCHEDULER 1 "February  4, 2010"
+.\" Please adjust this date whenever revising the manpage.
+.\"
+.\" Some roff macros, for reference:
+.\" .nh        disable hyphenation
+.\" .hy        enable hyphenation
+.\" .ad l      left justify
+.\" .ad b      justify to both left and right margins
+.\" .nf        disable filling
+.\" .fi        enable filling
+.\" .br        insert line break
+.\" .sp <n>    insert n+1 empty lines
+.\" for manpage-specific macros, see man(7)
+.SH NAME
+campcaster-scheduler \- graphical interface to campcaster radio station
+.SH SYNOPSIS
+.B campcaster-scheduler
+.RI start|stop|restart|status|install|uninstall|kill
+.SH DESCRIPTION
+This is the daemon behind the campcaster-radio-system which is usually launched
+during boot with administrator privileges. However this tool is also used to
+query the current status of the server or perform administrative tasks.
+.PP
+The campcaster-scheduler plays songs at their designated time and provides an
+XML-RPC interface for the Scheduler, which can be accessed via web/HTML
+interface or via the campcaster-studio GUI.
+.PP
+Campcaster is the first free and open radio management software, providing
+live studio broadcast capabilities as well as the remote automation in one
+integrated system. The scalability of Campcaster allows implementation in a
+number of use scenarios, ranging from an unmanned broadcast unit accessed from
+remote through the Internet to a local network of Campcaster machines inside a
+radio station handling live broadcasts and delivering program automation by
+accessing a central audio storage system. Campcaster is capable of combining
+local audio files and remote web streams, supporting the widely used MP3 format
+and the open equivalent OGG Vorbis.
+.SH SEE ALSO
+.URL "http://code.campware.org/manuals/campcaster/1.4/" "online manual" ,
+.BR campcaster-studio (1),
+.BR campcaster-import (1).
+.\".BR campcaster-backup (1).
+.\".BR campcaster-restore (1).
+.BR campcaster-restore (1).
+.SH AUTHOR
+Campcaster was written by the Media Develoment Loan Fund (MDLF) at the Center
+for Advanced Media\-Prague (CAMP).
+.br
+For full credits see
+.URL "http://www.campware.org/en/camp/about_campware/619/" "campware.org"  .
+.PP
+This manual page was written by Robin Gareus <robin@gareus.org>,
+for the Debian project (and may be used by others).
diff --git a/debian/campcaster-station.default b/debian/campcaster-station.default
new file mode 100644
index 0000000..cae2b58
--- /dev/null
+++ b/debian/campcaster-station.default
@@ -0,0 +1,10 @@
+# Defaults for campcaster initscript
+# sourced by /etc/init.d/campcaster
+# installed at /etc/default/campcaster by the maintainer scripts
+
+#
+# This is a POSIX shell fragment
+#
+
+# Additional options that are passed to the Daemon.
+DAEMON_OPTS=""
diff --git a/debian/campcaster-station.dirs b/debian/campcaster-station.dirs
new file mode 100644
index 0000000..523f023
--- /dev/null
+++ b/debian/campcaster-station.dirs
@@ -0,0 +1,5 @@
+etc
+usr/bin
+usr/sbin
+usr/lib
+usr/share/campcaster
diff --git a/debian/campcaster-station.init b/debian/campcaster-station.init
new file mode 100644
index 0000000..503e150
--- /dev/null
+++ b/debian/campcaster-station.init
@@ -0,0 +1,163 @@
+#! /bin/sh
+### BEGIN INIT INFO
+# Provides:          campcaster
+# Required-Start:    $network $local_fs
+# Required-Stop:
+# Should-Start:      $named
+# Should-Stop:
+# Default-Start:     2 3 4 5
+# Default-Stop:      0 1 6
+# Short-Description: campcaster-scheduler
+# Description: A radio program automation and support tool.
+### END INIT INFO
+
+
+CAMPCASTER_BIN=/usr/lib/campcaster/bin
+CAMPCASTER_LIB=/usr/lib/campcaster/
+CAMPCASTER_ETC=/etc
+
+PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin:$CAMPCASTER_BIN
+LD_LIBRARY_PATH=$CAMPCASTER_LIB:$LD_LIBRARY_PATH
+DAEMON=$CAMPCASTER_BIN/campcaster-scheduler
+NAME=campcaster
+DESC="campcaster scheduler"
+
+test -x $DAEMON || exit 0
+
+export PATH
+export LD_LIBRARY_PATH
+
+LOGDIR=/var/log/campcaster
+PIDFILE=/var/run/$NAME.pid  # defined in /etc/campcaster-scheduler.xml
+DODTIME=3                   # Time to wait for the server to die, in seconds
+                            # If this value is set too low you might not
+                            # let some servers to die gracefully and
+                            # 'restart' will not work
+
+# Include campcaster defaults if available
+if [ -f /etc/default/campcaster ] ; then
+    . /etc/default/campcaster
+fi
+
+test -z "$DAEMON_OPTS" && \
+DAEMON_OPTS="-c $CAMPCASTER_ETC/campcaster-scheduler.xml"
+
+set -e
+
+running_pid()
+{
+    # Check if a given process pid's cmdline matches a given name
+    pid=$1
+    name=$2
+    [ -z "$pid" ] && return 1
+    [ ! -d /proc/$pid ] &&  return 1
+    cmd=`cat /proc/$pid/cmdline | tr "\000" "\n"|head -n 1 |cut -d : -f 1`
+    # Is this the expected child?
+    [ "$cmd" != "$name" ] &&  return 1
+    return 0
+}
+
+running()
+{
+# Check if the process is running looking at /proc
+# (works for all users)
+
+    # No pidfile, probably no daemon present
+    [ ! -f "$PIDFILE" ] && return 1
+    # Obtain the pid and check it against the binary name
+    pid=`cat $PIDFILE`
+    running_pid $pid $DAEMON || return 1
+    return 0
+}
+
+force_stop() {
+# Forcefully kill the process
+    [ ! -f "$PIDFILE" ] && return
+    if running ; then
+        kill -15 $pid
+        # Is it really dead?
+        [ -n "$DODTIME" ] && sleep "$DODTIME"s
+        if running ; then
+            kill -9 $pid
+            [ -n "$DODTIME" ] && sleep "$DODTIME"s
+            if running ; then
+                echo "Cannot kill $NAME (pid=$pid)!"
+                exit 1
+            fi
+        fi
+    fi
+    rm -f $PIDFILE
+    return 0
+}
+
+case "$1" in
+  start)
+        echo -n "Starting $DESC: "
+        $DAEMON $DAEMON_OPTS start 2>/dev/null
+        if running ; then
+            echo "$NAME."
+        else
+            echo " ERROR."
+        fi
+        ;;
+  stop)
+        echo -n "Stopping $DESC: "
+	$DAEMON $DAEMON_OPTS stop 2>/dev/null
+        echo "$NAME."
+        ;;
+  force-stop)
+        echo -n "Forcefully stopping $DESC: "
+        force_stop
+        if ! running ; then
+            echo "$NAME."
+        else
+            echo " ERROR."
+        fi
+        ;;
+  #reload)
+        #
+        # If the daemon can reload its config files on the fly
+        # for example by sending it SIGHUP, do it here.
+        #
+        # If the daemon responds to changes in its config file
+        # directly anyway, make this a do-nothing entry.
+        #
+        # echo "Reloading $DESC configuration files."
+        # start-stop-daemon --stop --signal 1 --quiet --pidfile \
+        #       /var/run/$NAME.pid --exec $DAEMON
+  #;;
+  force-reload)
+        #
+        # If the "reload" option is implemented, move the "force-reload"
+        # option to the "reload" entry above. If not, "force-reload" is
+        # just the same as "restart" except that it does nothing if the
+        # daemon isn't already running.
+        # check wether $DAEMON is running. If so, restart
+        if running ; then
+            $0 restart || exit 0
+	fi
+        ;;
+  restart)
+    echo -n "Restarting $DESC: "
+	$DAEMON $DAEMON_OPTS stop 2>/dev/null
+        [ -n "$DODTIME" ] && sleep $DODTIME
+        $DAEMON $DAEMON_OPTS start 2>/dev/null
+        echo "$NAME."
+        ;;
+  status)
+    echo -n "$NAME is "
+    if running ;  then
+        echo "running"
+    else
+        echo "not running."
+        exit 1
+    fi
+    ;;
+  *)
+    N=/etc/init.d/$NAME
+    echo "Usage: $N {start|stop|restart|force-reload|status|force-stop}" >&2
+    exit 1
+    ;;
+esac
+
+exit 0
diff --git a/debian/campcaster-station.manpages b/debian/campcaster-station.manpages
new file mode 100644
index 0000000..6365a0f
--- /dev/null
+++ b/debian/campcaster-station.manpages
@@ -0,0 +1,2 @@
+debian/campcaster-scheduler.1
+debian/campcaster-import.1
diff --git a/debian/campcaster-station.postinst b/debian/campcaster-station.postinst
new file mode 100644
index 0000000..722851f
--- /dev/null
+++ b/debian/campcaster-station.postinst
@@ -0,0 +1,72 @@
+#!/bin/sh
+# postinst script for campcaster
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <postinst> `abort-remove'
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+installdir=/usr/lib/campcaster
+vardir=/var/lib/campcaster
+apache_group=www-data
+
+if [ -d /etc/postgresql/8.1 ]; then
+    postgresql_dir=/etc/postgresql/8.1/main
+    postgresql_init_script=/etc/init.d/postgresql-8.1
+elif [ -d /etc/postgresql/8.2 ]; then
+    postgresql_dir=/etc/postgresql/8.2/main
+    postgresql_init_script=/etc/init.d/postgresql-8.2
+elif [ -d /etc/postgresql/8.3 ]; then
+    postgresql_dir=/etc/postgresql/8.3/main
+    postgresql_init_script=/etc/init.d/postgresql-8.3
+elif [ -d /etc/postgresql/8.4 ]; then
+    postgresql_dir=/etc/postgresql/8.4/main
+    postgresql_init_script=/etc/init.d/postgresql-8.4
+else
+    echo "no postgresql 8.1, 8.2, 8.3 or 8.4 found" >&2
+    exit 1
+fi
+
+
+case "$1" in
+    configure)
+        # do post-installation configuration
+        $installdir/bin/postInstallStation.sh --directory=$installdir \
+                        --apache-group=$apache_group \
+                        --postgresql-dir=$postgresql_dir \
+                        --postgresql-init-script=$postgresql_init_script
+
+        # remount the NFS share if we have a 2-computer setup
+        if [ -f $vardir/storageServer.wasMounted ]; then
+            echo "Remounting the remote storage..."
+            mount $vardir/storageServer
+            rm $vardir/storageServer.wasMounted
+        fi
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
diff --git a/debian/campcaster-station.postrm b/debian/campcaster-station.postrm
new file mode 100644
index 0000000..51e7170
--- /dev/null
+++ b/debian/campcaster-station.postrm
@@ -0,0 +1,94 @@
+#!/bin/sh
+# postrm script for campcaster
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postrm> `remove'
+#        * <postrm> `purge'
+#        * <old-postrm> `upgrade' <new-version>
+#        * <new-postrm> `failed-upgrade' <old-version>
+#        * <new-postrm> `abort-install'
+#        * <new-postrm> `abort-install' <old-version>
+#        * <new-postrm> `abort-upgrade' <old-version>
+#        * <disappearer's-postrm> `disappear' <overwriter>
+#          <overwriter-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+vardir=/var/lib/campcaster
+
+
+if [ -d /etc/postgresql/8.1 ]; then
+    postgresql_init_script=/etc/init.d/postgresql-8.1
+elif [ -d /etc/postgresql/8.2 ]; then
+    postgresql_init_script=/etc/init.d/postgresql-8.2
+elif [ -d /etc/postgresql/8.3 ]; then
+    postgresql_init_script=/etc/init.d/postgresql-8.3
+elif [ -d /etc/postgresql/8.4 ]; then
+    postgresql_init_script=/etc/init.d/postgresql-8.4
+else
+    echo "no postgresql 8.1, 8.2, 8.3 or 8.4 found" >&2
+    exit 1
+fi
+postgres_user=postgres
+
+ls_database=Campcaster
+ls_dbuser=campcaster
+
+
+#-------------------------------------------------------------------------------
+#  Function to check for the existence of an executable on the PATH
+#
+#  @param $1 the name of the exectuable
+#  @return 0 if the executable exists on the PATH, non-0 otherwise
+#-------------------------------------------------------------------------------
+check_exe() {
+    if [ -x "`which $1 2> /dev/null`" ]; then
+        return 0;
+    else
+        return 1;
+    fi
+}
+
+
+case "$1" in
+    remove|upgrade|failed-upgrade|abort-install|abort-upgrade)
+    ;;
+
+    purge|disappear)
+        # check for the required tools
+        check_exe "psql" || psql_found=no
+
+        if [ "x$psql_found" != "xno" ] ; then
+            # kill open connections to the Campcaster database
+            $postgresql_init_script stop
+            $postgresql_init_script start
+
+            # remove the PostgreSQL database and user
+            su - $postgres_user -c \
+                "echo \"DROP DATABASE \\\"$ls_database\\\" \" | psql template1" \
+                || echo "Couldn't drop database $ls_database.";
+            su - $postgres_user -c \
+                "echo \"DROP USER $ls_dbuser \" | psql template1" \
+                || echo "Couldn't drop database user $ls_dbuser.";
+        fi
+
+        # remove generated files
+        rm -rf $vardir/
+    ;;
+
+    *)
+        echo "postrm called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
diff --git a/debian/campcaster-station.prerm b/debian/campcaster-station.prerm
new file mode 100644
index 0000000..5936e70
--- /dev/null
+++ b/debian/campcaster-station.prerm
@@ -0,0 +1,108 @@
+#!/bin/sh
+# prerm script for campcaster
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <prerm> `remove'
+#        * <old-prerm> `upgrade' <new-version>
+#        * <new-prerm> `failed-upgrade' <old-version>
+#        * <conflictor's-prerm> `remove' `in-favour' <package> <new-version>
+#        * <deconfigured's-prerm> `deconfigure' `in-favour'
+#          <package-being-installed> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+installdir=/
+vardir=/var/lib/campcaster/
+ls_database=Campcaster
+
+#-------------------------------------------------------------------------------
+#  Function to check for the existence of an executable on the PATH
+#
+#  @param $1 the name of the exectuable
+#  @return 0 if the executable exists on the PATH, non-0 otherwise
+#-------------------------------------------------------------------------------
+check_exe() {
+    if [ -x "`which $1 2> /dev/null`" ]; then
+        return 0;
+    else
+        return 1;
+    fi
+}
+
+
+if [ -d /etc/postgresql/8.1 ]; then
+    postgresql_dir=/etc/postgresql/8.1/main
+    postgresql_init_script=/etc/init.d/postgresql-8.1
+elif [ -d /etc/postgresql/8.2 ]; then
+    postgresql_dir=/etc/postgresql/8.2/main
+    postgresql_init_script=/etc/init.d/postgresql-8.2
+elif [ -d /etc/postgresql/8.3 ]; then
+    postgresql_dir=/etc/postgresql/8.3/main
+    postgresql_init_script=/etc/init.d/postgresql-8.3
+elif [ -d /etc/postgresql/8.4 ]; then
+    postgresql_dir=/etc/postgresql/8.4/main
+    postgresql_init_script=/etc/init.d/postgresql-8.4
+else
+    echo "no postgresql 8.1, 8.2, 8.3 or 8.4 found" >&2
+    exit 1
+fi
+
+
+
+case "$1" in
+    remove|upgrade|deconfigure)
+	mkdir -p $vardir
+        # unmount the NFS share, if we have a 2-computer setup
+        storagedir=$vardir/storageServer
+        if [ "`mount | grep -o \"on $storagedir \"`" = "on $storagedir " ]; then
+            echo "Unmounting the remote storage..."
+            umount $storagedir
+            touch $vardir/storageServer.wasMounted
+        fi
+
+        ## remove the ODBC data source and driver
+        check_exe "odbcinst" || odbcinst_found=no
+	
+        if [ "x$odbcinst_found" != "xno" ] ; then
+            odbcinst -u -s -l -n $ls_database
+            odbcinst -u -d -n PostgreSQL_Campcaster
+        fi
+
+        # remove generated files
+        rm -rf $vardir/htmlUI/var/html/img/*
+        rm -rf $vardir/htmlUI/var/templates_c/*
+        rm -rf $vardir/archiveServer/var/access/*
+        rm -rf $vardir/archiveServer/var/trans/*
+        rm -rf $vardir/storageServer/var/access/*
+        rm -rf $vardir/storageServer/var/trans/*
+
+        rm -f /etc/apache/conf.d/90_php_campcaster.conf
+        rm -f /etc/apache2/conf.d/90_php_campcaster.conf
+        rm -f /etc/apache2/conf/modules.d/90_php_campcaster.conf
+        rm -f /etc/httpd/conf.d/90_php_campcaster.conf
+
+        ##rm -rf $installdir/etc/pear.conf
+ 
+    ;;
+
+    failed-upgrade)
+    ;;
+
+    *)
+        echo "prerm called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
diff --git a/debian/campcaster-studio.1 b/debian/campcaster-studio.1
new file mode 100644
index 0000000..603631c
--- /dev/null
+++ b/debian/campcaster-studio.1
@@ -0,0 +1,57 @@
+.\"                                      Hey, EMACS: -*- nroff -*-
+.\" URL Macro
+.de URL
+\\$2 \(laURL: \\$1 \(ra\\$3
+..
+.if \n[.g] .mso www.tmac
+.\"
+.\" First parameter, NAME, should be all caps
+.\" Second parameter, SECTION, should be 1-8, maybe w/ subsection
+.\" other parameters are allowed: see man(7), man(1)
+.TH CAMPCASTER\-STUDIO 1 "February  4, 2010"
+.\" Please adjust this date whenever revising the manpage.
+.\"
+.\" Some roff macros, for reference:
+.\" .nh        disable hyphenation
+.\" .hy        enable hyphenation
+.\" .ad l      left justify
+.\" .ad b      justify to both left and right margins
+.\" .nf        disable filling
+.\" .fi        enable filling
+.\" .br        insert line break
+.\" .sp <n>    insert n+1 empty lines
+.\" for manpage-specific macros, see man(7)
+.SH NAME
+campcaster-studio \- graphical interface to campcaster radio station
+.SH SYNOPSIS
+.B campcaster-studio
+.SH DESCRIPTION
+campcaster-studio is a desktop application which connect to the
+campcaster-server and allows you to do live shows or schedule automated
+playback.
+.PP
+Campcaster is the first free and open radio management software, providing
+live studio broadcast capabilities as well as the remote automation in one
+integrated system. The scalability of Campcaster allows implementation in a
+number of use scenarios, ranging from an unmanned broadcast unit accessed from
+remote through the Internet to a local network of Campcaster machines inside a
+radio station handling live broadcasts and delivering program automation by
+accessing a central audio storage system. Campcaster is capable of combining
+local audio files and remote web streams, supporting the widely used MP3 format
+and the open equivalent OGG Vorbis.
+.PP
+Campcaster Studio is mainly targeted at doing live shows, though it is possible
+to do automated scheduling through this interface as well. Note that the Web
+component has a much more robust interface for handling automated scheduling.
+.SH SEE ALSO
+.BR campcaster-scheduler (1),
+.BR campcaster-import (1).
+.SH AUTHOR
+Campcaster was written by the Media Develoment Loan Fund (MDLF) at the Center
+for Advanced Media\-Prague (CAMP).
+.br
+For full credits see
+.URL "http://www.campware.org/en/camp/about_campware/619/" "campware.org"  .
+.PP
+This manual page was written by Robin Gareus <robin@gareus.org>,
+for the Debian project (and may be used by others).
diff --git a/debian/campcaster-studio.dirs b/debian/campcaster-studio.dirs
new file mode 100644
index 0000000..76c1432
--- /dev/null
+++ b/debian/campcaster-studio.dirs
@@ -0,0 +1,4 @@
+etc
+usr/bin
+usr/lib
+usr/share/campcaster
diff --git a/debian/campcaster-studio.manpages b/debian/campcaster-studio.manpages
new file mode 100644
index 0000000..056508a
--- /dev/null
+++ b/debian/campcaster-studio.manpages
@@ -0,0 +1 @@
+debian/campcaster-studio.1
diff --git a/debian/campcaster-studio.menu b/debian/campcaster-studio.menu
new file mode 100644
index 0000000..e3eb577
--- /dev/null
+++ b/debian/campcaster-studio.menu
@@ -0,0 +1,6 @@
+?package(campcaster-studio):\
+  needs="X11" \
+  section="Applications/Sound"\
+  title="Campcaster-Studio"\
+  command="/usr/bin/campcaster-studio"\
+  icon="/usr/share/pixmaps/campcaster.xpm"
diff --git a/debian/changelog b/debian/changelog
new file mode 100644
index 0000000..fbf491e
--- /dev/null
+++ b/debian/changelog
@@ -0,0 +1,6 @@
+campcaster (1.4.0-1) lucid; urgency=low
+
+  * Initial release (Closes: #568530) (LP: #250397)
+
+ -- Robin Gareus <robin@gareus.org>  Fri, 05 Feb 2010 16:35:44 +0100
+
diff --git a/debian/compat b/debian/compat
new file mode 100644
index 0000000..7f8f011
--- /dev/null
+++ b/debian/compat
@@ -0,0 +1 @@
+7
diff --git a/debian/control b/debian/control
new file mode 100644
index 0000000..ac55ea2
--- /dev/null
+++ b/debian/control
@@ -0,0 +1,129 @@
+Source: campcaster
+Section: sound
+Priority: extra
+Maintainer: Robin Gareus <robin@gareus.org>
+Build-Depends: debhelper (>= 7.0.50~),
+               autotools-dev,
+               libtool,
+               pkg-config (>= 0.15),
+               patch (>= 2.5.9),
+               doxygen,
+               tar (>= 1.16),
+               gzip (>= 1.3.5),
+               unzip, bzip2,
+               curl,
+               graphviz,
+               xsltproc,
+               libcppunit-dev,
+               unixodbc-dev (>= 2.2),
+               odbc-postgresql,
+               fontconfig,
+               libfontconfig1-dev,
+               libpng12-dev,
+               libjpeg62-dev | libjpeg8-dev,
+               openssl,
+               libssl-dev,
+               libxml2-dev,
+               libpopt-dev,
+               libmad0-dev,
+               libogg-dev,
+               libvorbis-dev,
+               libbz2-dev,
+               libtar-dev (>= 1.2.11),
+               libcurl3-dev (>= 7.12.3) | libcurl4-openssl-dev (>= 7.16.4),
+               libboost-date-time-dev (>= 1.33.1),
+               libgtk2.0-dev (>= 2.6.10),
+               libgtkmm-2.4-dev (>= 1:2.6.5),
+               libglademm-2.4-dev (>= 2.6.2),
+               libxml++2.6-dev (>= 2.8.1),
+               libicu34-dev | libicu36-dev | libicu-dev,
+               apache2,
+               php5-pgsql,
+               libapache2-mod-php5,
+               php5-gd,
+               postgresql-8.1 | postgresql-8.2 | postgresql-8.3 | postgresql (>= 8.1),
+               postgresql-client-8.1 | postgresql-client-8.2 | postgresql-client-8.3 | postgresql-client (>= 8.1),
+               libgstreamer0.10-dev (>= 0.10.17),
+               php-pear,
+               php-db,
+               libserial-dev (>= 0.5.2)
+Standards-Version: 3.8.3
+Homepage: http://campware.org/en/camp/campcaster_news/
+
+
+Package: campcaster-libs
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: A radio program automation and support tool.
+ Campcaster is the first free and open radio management software that 
+ provides live studio broadcast capabilities as well as remote automation
+ in one integrated system.
+ .
+ Major features of Campcaster: live, in-studio playout; web-based remote
+ station management; automation; playlists; centralized archives of station
+ program material; solid, fast playback using the Gstreamer multimedia
+ framework; search-based backup; localization into several languages;
+ innovative design by the Parsons School of Design; open, extensible
+ architecture based on XML-RPC.
+ .
+ This package contains the libraries used by Campcaster.
+ .
+ Web site: http://campcaster.campware.org
+
+
+Package: campcaster-station
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, 
+         campcaster-libs (= ${binary:Version}),
+         apache2,
+         unzip, bzip2, gzip (>= 1.3.5),
+         libapache2-mod-php5,
+         postgresql-8.1 | postgresql-8.2 | postgresql-8.3 | postgresql (>= 8.1),
+         postgresql-client-8.1 | postgresql-client-8.2 | postgresql-client-8.3 | postgresql-client (>= 8.1),
+         unixodbc (>= 2.2),
+         odbc-postgresql, 
+         xsltproc,
+         odbc-postgresql,
+         php5-pgsql, php5-cli, php5-gd, php-db,
+         gstreamer0.10-plugins-good,
+         gstreamer0.10-plugins-ugly | gstreamer0.10-ffmpeg | gstreamer0.10-fluendo-mp3,
+         gstreamer0.10-alsa,
+         curl, pwgen, sed (>= 4.2.1)
+Description: A radio program automation and support tool.
+ Campcaster is the first free and open radio management software that 
+ provides live studio broadcast capabilities as well as remote automation
+ in one integrated system.
+ .
+ Major features of Campcaster: live, in-studio playout; web-based remote
+ station management; automation; playlists; centralized archives of station
+ program material; solid, fast playback using the Gstreamer multimedia
+ framework; search-based backup; localization into several languages;
+ innovative design by the Parsons School of Design; open, extensible
+ architecture based on XML-RPC.
+ .
+ This package contains the GUI client component of Campcaster.
+ .
+ Web site: http://campcaster.campware.org
+
+
+Package: campcaster-studio
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends},
+         campcaster-libs (= ${binary:Version}),
+         campcaster-station (= ${binary:Version}),
+Description: A radio program automation and support tool.
+ Campcaster is the first free and open radio management software that 
+ provides live studio broadcast capabilities as well as remote automation
+ in one integrated system.
+ .
+ Major features of Campcaster: live, in-studio playout; web-based remote
+ station management; automation; playlists; centralized archives of station
+ program material; solid, fast playback using the Gstreamer multimedia
+ framework; search-based backup; localization into several languages;
+ innovative design by the Parsons School of Design; open, extensible
+ architecture based on XML-RPC.
+ .
+ This package contains the GUI client component of Campcaster.
+ .
+ Web site: http://campcaster.campware.org
+
diff --git a/debian/copyright b/debian/copyright
new file mode 100644
index 0000000..04e1f78
--- /dev/null
+++ b/debian/copyright
@@ -0,0 +1,47 @@
+This work was packaged for Debian by:
+
+    Robin Gareus <robin@gareus.org> on Sun, 31 Jan 2010 22:53:14 +0100
+
+It was downloaded from:
+
+    svn://source.campware.org/campcaster/trunk/campcaster
+
+Upstream Author(s):
+
+    Micz Flor <micz.flor@web.de>
+    Robert Klajn
+    Michael Aschauer <mash@re-p.org>
+    Douglas Arellanes
+    Akos Maroy
+    Sava Tati?
+    Charles Truett
+    Ferenc Gerlits
+    Mark Kretschmann
+
+Copyright:
+
+    Media Developmnet Loan Fund, http://www.mdlf.org/
+
+License:
+
+    This program is free software: you can redistribute it and/or modify
+    it under the terms of the GNU General Public License as published by
+    the Free Software Foundation, either version 3 of the License, or
+    (at your option) any later version.
+
+    This package is distributed in the hope that it will be useful,
+    but WITHOUT ANY WARRANTY; without even the implied warranty of
+    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+    GNU General Public License for more details.
+
+    You should have received a copy of the GNU General Public License
+    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+
+On Debian systems, the complete text of the GNU General
+Public License version 3 can be found in `/usr/share/common-licenses/GPL-3'.
+
+The Debian packaging is:
+
+    Copyright (C) 2010 Robin Gareus <robin@gareus.org>
+
+and is licensed under the GPL version 3, see above.
diff --git a/debian/rules b/debian/rules
new file mode 100755
index 0000000..e1238ad
--- /dev/null
+++ b/debian/rules
@@ -0,0 +1,160 @@
+#!/usr/bin/make -f
+# -*- makefile -*-
+
+# Uncomment this to turn on verbose mode.
+export DH_VERBOSE=1
+
+%:
+	dh $@
+
+override_dh_auto_configure:
+	CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs" \
+        ./configure --prefix=$(CURDIR)/debian/tmp \
+		--mandir=\$${prefix}/share/man \
+		--infodir=\$${prefix}/share/info \
+		--sysconfdir=$(CURDIR)/debian/tmp/etc\
+		--with-www-docroot=$(CURDIR)/debian/tmp/var/www \
+		--with-apache-group=www-data \
+		--with-station-audio-out=hw:0,0 \
+		--with-studio-audio-out=hw:1,0 \
+		--with-studio-audio-cue=hw:2,0 \
+		--with-storage-server=/usr/share/campcaster\
+		--with-hostname=localhost
+
+override_dh_prep:
+	#dh_prep
+	rm -f debian/campcaster.substvars
+	rm -f debian/campcaster.*.debhelper
+	rm -rf debian/campcaster-libs/
+	rm -rf debian/campcaster-studio/
+	rm -rf debian/campcaster-station/
+	#
+	# CUSTOMIZED LIBS..
+	mkdir -p debian/campcaster-libs/usr/lib/campcaster
+	mv debian/tmp/lib/libodbc++-mt.so* debian/campcaster-libs/usr/lib/campcaster/
+	mv debian/tmp/lib/libtag.so* debian/campcaster-libs/usr/lib/campcaster/
+	mv debian/tmp/lib/libxmlrpc++.so* debian/campcaster-libs/usr/lib/campcaster/
+	mv debian/tmp/lib/pear debian/campcaster-libs/usr/lib/campcaster/pear
+	#
+	rm -rf debian/tmp
+	#
+	# campcaster installs a symlink here and will fail if the dir does not exist
+	mkdir -p debian/tmp/var/www
+
+
+override_dh_install:
+	dh_install
+	#
+	mkdir -p debian/campcaster-studio/usr/share/pixmaps/
+	cp src/products/gLiveSupport/var/icon32.xpm debian/campcaster-studio/usr/share/pixmaps/campcaster.xpm
+	# 
+	mkdir -p debian/campcaster-studio/usr/lib/campcaster/bin
+	# 
+	# station (server) 
+	mkdir -p debian/campcaster-station/usr/lib/campcaster/bin
+	mkdir -p debian/campcaster-station/usr/share/campcaster/etc
+	mkdir -p debian/campcaster-station/usr/share/campcaster/www
+	mkdir -p debian/campcaster-station/etc/
+	mv -f debian/tmp/bin/campcaster-scheduler \
+	      debian/tmp/bin/campcaster-scheduler.sh \
+	      debian/tmp/bin/postInstallStation.sh \
+	      debian/tmp/bin/createDatabase.sh \
+	      debian/tmp/bin/createOdbcDataSource.sh \
+	      debian/tmp/bin/campcaster-backup \
+	      debian/tmp/bin/campcaster-import \
+	      debian/tmp/bin/dumpDbSchema.sh \
+	      debian/tmp/bin/campcaster-restore \
+			debian/campcaster-station/usr/lib/campcaster/bin/
+	mv -f debian/tmp/etc/campcaster-scheduler.xml \
+			debian/campcaster-station/etc/
+	# CONFIG templates (for postinst and cc-scripts)
+	mv -f   debian/tmp/etc/pg_hba.conf \
+		debian/tmp/etc/odbc_template \
+		debian/tmp/etc/odbcinst_template \
+		debian/tmp/etc/odbcinst_old_debian_template \
+		debian/tmp/etc/odbcinst_new_debian_template \
+		debian/tmp/etc/apache/90_php_campcaster.conf \
+			debian/campcaster-station/usr/share/campcaster/etc/
+	# CONFIG files
+	mkdir -p debian/campcaster-station/etc/campcaster/archiveServer
+	mkdir -p debian/campcaster-station/etc/campcaster/storageServer
+	mkdir -p debian/campcaster-station/etc/campcaster/storageAdmin
+	mkdir -p debian/campcaster-station/etc/campcaster/htmlUI
+	#
+	mv -f debian/tmp/var/Campcaster/archiveServer/var/conf.php \
+			debian/campcaster-station/etc/campcaster/archiveServer/conf.php
+	mv -f debian/tmp/var/Campcaster/storageServer/var/conf.php \
+			debian/campcaster-station/etc/campcaster/storageServer/conf.php
+	mv -f debian/tmp/var/Campcaster/storageServer/var/campcaster_version.php \
+			debian/campcaster-station/etc/campcaster/storageServer/
+	mv -f debian/tmp/var/Campcaster/storageAdmin/var/conf.php \
+			debian/campcaster-station/etc/campcaster/storageAdmin/conf.php
+	mv -f debian/tmp/var/Campcaster/htmlUI/var/ui_conf.php \
+			debian/campcaster-station/etc/campcaster/htmlUI/ui_conf.php
+	#
+	mv -f debian/tmp/var/Campcaster/alib \
+	      debian/tmp/var/Campcaster/archiveServer \
+	      debian/tmp/var/Campcaster/getid3 \
+	      debian/tmp/var/Campcaster/htmlUI \
+	      debian/tmp/var/Campcaster/index.php \
+	      debian/tmp/var/Campcaster/scheduler \
+	      debian/tmp/var/Campcaster/storageServer \
+	      debian/tmp/var/Campcaster/storageAdmin \
+			debian/campcaster-station/usr/share/campcaster/www
+	# symlink CONFIG files
+	ln -s  /etc/campcaster/archiveServer/conf.php debian/campcaster-station/usr/share/campcaster/www/archiveServer/var/conf.php
+	ln -s  /etc/campcaster/storageServer/conf.php debian/campcaster-station/usr/share/campcaster/www/storageServer/var/conf.php
+	ln -s  /etc/campcaster/storageServer/campcaster_version.php debian/campcaster-station/usr/share/campcaster/www/storageServer/var/
+	ln -s  /etc/campcaster/storageAdmin/conf.php  debian/campcaster-station/usr/share/campcaster/www/storageAdmin/var/conf.php
+	ln -s  /etc/campcaster/htmlUI/ui_conf.php  debian/campcaster-station/usr/share/campcaster/www/htmlUI/var/ui_conf.php
+	#	
+	mkdir -p debian/campcaster-station/usr/bin/
+	ln -s /usr/lib/campcaster/bin/campcaster-scheduler.sh debian/campcaster-station/usr/bin/campcaster-scheduler
+	ln -s /usr/lib/campcaster/bin/campcaster-import debian/campcaster-station/usr/bin/campcaster-import
+	#ln -s /usr/lib/campcaster/bin/campcaster-backup debian/campcaster-station/usr/bin/campcaster-backup
+	#ln -s /usr/lib/campcaster/bin/campcaster-restore debian/campcaster-station/usr/sbin/campcaster-restore
+	#
+	# studio (client)
+	mkdir -p debian/campcaster-studio/usr/lib/campcaster/bin
+	mkdir -p debian/campcaster-studio/usr/share/campcaster/etc
+	mkdir -p debian/campcaster-studio/etc/
+	mkdir -p debian/campcaster-studio/usr/share/campcaster/www
+	
+	mv debian/tmp/lib/liblivesupport* debian/campcaster-studio/usr/lib/
+	mv -f debian/tmp/bin/campcaster-studio \
+	      debian/tmp/bin/campcaster-studio.sh \
+			debian/campcaster-studio/usr/lib/campcaster/bin/
+	mv -f debian/tmp/etc/campcaster-studio.xml debian/campcaster-studio/etc/
+	mv -f debian/tmp/etc/campcaster-studio.xml.template debian/campcaster-studio/usr/share/campcaster/etc/
+	mv -f debian/tmp/var/Campcaster/Widgets \
+	      debian/tmp/var/Campcaster/studio-localization \
+	      debian/tmp/var/Campcaster/glade \
+	      debian/tmp/var/Campcaster/campcaster.png \
+	      debian/tmp/var/Campcaster/icon*.png \
+	      debian/tmp/var/Campcaster/stationLogo.png \
+	      debian/tmp/var/Campcaster/testAudio.ogg \
+	      debian/tmp/var/Campcaster/testAudio.ogg.license \
+			debian/campcaster-studio/usr/share/campcaster/www/
+	mkdir -p debian/campcaster-studio/usr/bin/
+	ln -s /usr/lib/campcaster/bin/campcaster-studio.sh debian/campcaster-studio/usr/bin/campcaster-studio
+
+override_dh_fixperms:
+	dh_fixperms
+	#
+	chmod +x debian/campcaster-station/usr/share/campcaster/www/storageServer/var/install/campcaster-user.php
+	chmod -x debian/campcaster-station/usr/share/campcaster/www/storageServer/var/cron/Crontab.php \
+		 debian/campcaster-station/usr/share/campcaster/www/storageServer/var/cron/CronJob.php \
+		 debian/campcaster-station/usr/share/campcaster/www/htmlUI/var/templates/popup/PLAYLIST.downloadExportedFile.tpl \
+		 debian/campcaster-station/usr/share/campcaster/www/htmlUI/var/Smarty/libs/plugins/outputfilter.localizer.php \
+		 debian/campcaster-station/usr/share/campcaster/www/htmlUI/var/templates/playlist/import.tpl \
+		 debian/campcaster-station/usr/share/campcaster/www/htmlUI/var/Smarty/libs/Smarty.class.php \
+		 debian/campcaster-station/usr/share/campcaster/www/storageServer/var/Backup.php \
+		 debian/campcaster-station/usr/share/campcaster/www/storageServer/var/cron/Cron.php \
+		 debian/campcaster-station/usr/share/campcaster/www/htmlUI/var/templates/popup/PLAYLIST.export.tpl \
+		 debian/campcaster-station/usr/share/campcaster/www/htmlUI/var/Smarty/libs/plugins/postfilter.template_marker.php
+
+override_dh_shlibdeps:
+	LD_LIBRARY_PATH=debian/campcaster-libs/usr/lib/campcaster/ dh_shlibdeps
+
+override_dh_makeshlibs:
+	dh_makeshlibs -n
